"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NoCache = void 0;
const Errors_1 = require("../Errors");
const autobind_decorator_1 = require("autobind-decorator");
class NoCache {
    constructor(throwOnUse = false) {
        this.throwOnUse = throwOnUse;
    }
    async get(_key, _options) {
        if (this.throwOnUse)
            throw new Errors_1.InternalServerError('Cache service is disabled but was invoked');
        return null;
    }
    async set(_key, _data, _param3, _param4) {
        if (this.throwOnUse)
            throw new Errors_1.InternalServerError('Cache service is disabled but was invoked');
    }
    async delete(_key, _options) {
        if (this.throwOnUse)
            throw new Errors_1.InternalServerError('Cache service is disabled but was invoked');
    }
    async invalidateTags(_tags, _options) {
        if (this.throwOnUse)
            throw new Errors_1.InternalServerError('Cache service is disabled but was invoked');
    }
}
__decorate([
    autobind_decorator_1.boundMethod
], NoCache.prototype, "get", null);
__decorate([
    autobind_decorator_1.boundMethod
], NoCache.prototype, "set", null);
__decorate([
    autobind_decorator_1.boundMethod
], NoCache.prototype, "delete", null);
__decorate([
    autobind_decorator_1.boundMethod
], NoCache.prototype, "invalidateTags", null);
exports.NoCache = NoCache;
