import { DynamoDbInterface, TableKey, UpdateData } from './DynamoDbInterface';
import { DynamoDB } from 'aws-sdk';
export declare class DynamoDb implements DynamoDbInterface {
    constructor({ accessKeyId, endpoint, region, secretAccessKey, table }: DynamoDbParameters);
    documentClient: DynamoDB.DocumentClient;
    tableName: string;
    get<T>(Key: TableKey): Promise<T | undefined>;
    put<T extends TableKey>(Item: T): Promise<void>;
    delete(Key: TableKey): Promise<void>;
    update(Key: TableKey, updateData: UpdateData): Promise<import("aws-sdk/lib/request").PromiseResult<DynamoDB.DocumentClient.UpdateItemOutput, import("aws-sdk").AWSError>>;
}
interface DynamoDbParameters {
    region?: string;
    endpoint?: string;
    accessKeyId?: string;
    secretAccessKey?: string;
    table: string;
}
export {};
