"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DynamoDb = void 0;
const aws_sdk_1 = require("aws-sdk");
class DynamoDb {
    constructor({ accessKeyId, endpoint, region, secretAccessKey, table }) {
        const credentials = accessKeyId && secretAccessKey ? new aws_sdk_1.Credentials({ accessKeyId, secretAccessKey }) : undefined;
        this.documentClient = new aws_sdk_1.DynamoDB.DocumentClient({ endpoint, region, credentials });
        this.tableName = table;
    }
    async get(Key) {
        const { Item } = await this.documentClient.get({ TableName: this.tableName, Key }).promise();
        return Item;
    }
    async put(Item) {
        await this.documentClient.put({ TableName: this.tableName, Item }).promise();
    }
    async delete(Key) {
        await this.documentClient.delete({ TableName: this.tableName, Key }).promise();
    }
    async update(Key, updateData) {
        return await this.documentClient
            .update({
            TableName: this.tableName,
            Key,
            ...updateData,
        })
            .promise();
    }
}
exports.DynamoDb = DynamoDb;
